%global pypi_name flit-scm
%global uname flit_scm

Name:           python-flit-scm
Version:        1.7.0
Release:        %mkrel 1
Summary:        PEP 518 build backend using setuptools_scm and flit
License:        MIT
Group:          Development/Python
URL:            https://gitlab.com/WillDaSilva/flit_scm
Source:         https://files.pythonhosted.org/packages/source/f/flit_scm/flit_scm-%{version}.tar.gz
BuildRequires:  python3dist(flit-core)
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(tomli)
BuildRequires:  pyproject-rpm-macros
BuildArch:      noarch

%description
A PEP 518 build backend that uses setuptools_scm to generate a version file
from your version control system, then flit to build the package.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python-tomli

%description -n python3-%{pypi_name}
A PEP 518 build backend that uses setuptools_scm to generate a version file
from your version control system, then flit to build the package.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{uname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sat Nov 26 2022 papoteur <papoteur> 1.7.0-1.mga9
+ Revision: 1911226
- imported package python-flit-scm

